#
# spec file for package musictex (Version 5.15)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tetex

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         musictex
Release:      13
Copyright:    1995 Daniel Taupin
Group: 
Provides:     MusiXTeX 
Requires: 
Conflicts:    ntex
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      5.15
Summary:      MusiXTeX
Source0: musixtex-T86.tar.gz
Source1: musixexa-T86.tar.gz
Patch:   musixtex-T86.dif
%description
This packages is only usable for TeX-experts with musical ambitions.
It contains a music Tex format file musixtex for direct usage onto TeX music
files. 
LaTeX users should use the corresponding style file.  For a description you
should look under /usr/lib/teTeX/texmf/doc/musixtex/.

Authors:
--------
    Daniel Taupin <taupin@lps.u-psud.fr>
    Ross Mitchell <rmm@dar.csiro.au>
    Andreas Egler <Andreas_Egler@wob.maus.de>

%prep
mkdir $RPM_BUILD_DIR/musixtex-T86
%setup -n musixtex-T86 -D -T -a0 -a1
%patch
%build
TEXINPUTS=:$PWD/tex/:.
TEXFONTS=:$PWD/tfm/:.
MFINPUTS=:$PWD/mf/:.
TEXFORMATS=:$PWD/tex/:.
PATH=/usr/bin/TeX:$PATH
export TEXINPUTS TEXFONTS MFINPUTS PATH TEXFORMATS
rm -f musixflx
gcc -O2 -o musixflx systems/c-source/musixflx.c
(
    cd doc/
    rm -rf musixdoc.dvi
    latex musixdoc
    ../musixflx musixdoc
    latex musixdoc
    makeindex musixdoc.idx
    latex musixdoc
    makeindex musixdoc.idx
    latex musixdoc
    latex musixdoc
)
(
    cd tex/
    tex musixref
    ../musixflx musixref
    tex musixref
)
(
    cd tex/
    initex '&tex \def\fmtname{musixtex} \def\fmtversion{\mxversion} \input musixtex.ins'
)
(
    cd examples/
    function mxtex {
	virtex '&musixtex' $1
	../musixflx $1
	virtex '&musixtex' $1
    }
    mxtex angescam
    mxtex angescao
    mxtex avemaria
    mxtex avemario
    mxtex avemarix
    mxtex aveverch
    mxtex aveverdd
    mxtex aveveruc
    mxtex aveverud
    mxtex aveverum
    mxtex canticor
    mxtex dissonan
    mxtex fantaisc
    mxtex fantaisd
    mxtex gloriab
    mxtex glorias
    mxtex gloriax
    mxtex gymnoman
    mxtex ilestne
    mxtex ilfaitda
    mxtex marcello
    mxtex onuitbri
    mxtex onuitbrr
    mxtex parnasum
    mxtex souvenir
    mxtex traeumer
    mxtex widor_16
    mxtex widor_20
    mxtex fugcmoll
    mxtex pacifiqn
    mxtex pacifiqc
    mxtex albinoni
)
%install
install -s -m 0755 musixflx /usr/lib/teTeX/bin/i386-linux/
mkdir -p /usr/lib/teTeX/texmf/tex/generic/musixtex
mkdir -p /usr/lib/teTeX/texmf/fonts/source/public/musixtex
mkdir -p /usr/lib/teTeX/texmf/fonts/tfm/public/musixtex
mkdir -p /usr/lib/teTeX/texmf/fonts/pk/public/musixtex
mkdir -p /usr/lib/teTeX/texmf/doc/musixtex/examples
(
    cd tex/
    install -c -m 0444 *.sty *.tex *.ins /usr/lib/teTeX/texmf/tex/generic/musixtex/
    install -c -m 0444 musixref.tex /usr/lib/teTeX/texmf/doc/musixtex/
    install -c -m 0644 musixref.dvi /usr/lib/teTeX/texmf/doc/musixtex/
    install -c -m 0644 musixtex.fmt /usr/lib/teTeX/texmf/web2c/
    ln -sf virtex /usr/lib/teTeX/bin/i386-linux/musixtex
)
install -m 0755 musictex.sh /usr/lib/teTeX/bin/i386-linux/musictex
(
    cd doc/
    install -c -m 0444 *.tex *.sty /usr/lib/teTeX/texmf/doc/musixtex/
    install -c -m 0644 *.dvi       /usr/lib/teTeX/texmf/doc/musixtex/
    ln -sf /usr/lib/teTeX/texmf/doc/musixtex /usr/doc/packages/musixtex
)
(
    cd examples/
    install -c -m 0444 *.tex /usr/lib/teTeX/texmf/doc/musixtex/examples/
    install -c -m 0644 *.dvi /usr/lib/teTeX/texmf/doc/musixtex/examples/
)
(
    cd mf/
    install -c -m 0444 *.mf /usr/lib/teTeX/texmf/fonts/source/public/musixtex/
)
(
    cd tfm/
    install -c -m 0444 *.tfm /usr/lib/teTeX/texmf/fonts/tfm/public/musixtex/
)
Check
%files
/usr/lib/teTeX/bin/i386-linux/musixtex
/usr/lib/teTeX/bin/i386-linux/musictex
/usr/lib/teTeX/bin/i386-linux/musixflx
%doc /usr/lib/teTeX/texmf/doc/musixtex
%doc /usr/doc/packages/musixtex
/usr/lib/teTeX/texmf/tex/generic/musixtex
/usr/lib/teTeX/texmf/fonts/source/public/musixtex
/usr/lib/teTeX/texmf/fonts/tfm/public/musixtex
/usr/lib/teTeX/texmf/fonts/pk/public/musixtex

